## net.sf.saxon.regex
Class SurrogateRegexTranslator.Empty

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
              net.sf.saxon.regex.SurrogateRegexTranslator.Empty

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.Empty

extends SurrogateRegexTranslator.SimpleCharClass

Character class that matches nothing

Method Summary
`static SurrogateRegexTranslator.Empty` `getInstance()` Return the singular instance of this class
`void` `inClassOutputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
`outputBmp, outputComplementBmp`

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
`addNonBmpRanges, getContainsBmp, getContainsNonBmp, getSingleChar, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SurrogateRegexTranslator.Empty getInstance()

  Return the singular instance of this class

  Returns:
    the singular instance

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Description copied from class: `SurrogateRegexTranslator.SimpleCharClass`
  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

Copyright (c) Saxonica Limited. All rights reserved.